%define		_status		alpha
%define		_pearname	Services_Google
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Provides access to the Google Web APIs
Summary(pl.UTF-8):	%{_pearname} - Dostęp do API stron Google
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8960f656886605df9dff31faa7d8d10b
URL:		http://pear.php.net/package/Services_Google/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 5.0.0
Requires:	php(soap)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows easy access to the Google Web APIs for the search engine,
spelling suggestions, and cache.

To use the package you'll need an API key from
<http://www.google.com/apis/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pozwala na łatwy dostęp do API stron Google - wyszukiwarki, porad
dotyczących pisowni oraz cache.

Aby użyć tego pakietu potrzebny będzie klucz API ze strony
<http://www.google.com/apis/>.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/*.php
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Services_Google.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> aded678
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 497fdd4
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 4a2d07c
- updated deps with pearize.sh
- release 2

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 3eae130
- updated to 0.2.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> a77684c
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5c6c783
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d9c0145
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> f1971a6
- rel 2: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6e2d78e
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 7252956
- cleanup

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 629a592
- BR php-pear-PEAR

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> 35283cb
- updated to 0.1.1

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 21844e2
- rel 3

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> dc6a980
- new pear packaging

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> ba326f3
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 6f5b399
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> b6d462b
- spaces->tabs
- formatting

* Sat Aug 07 2004 Adam Gołębiowski <adamg@pld-linux.org> bad823e
- new

